package com.steering.mes.zgmil.entity;

import java.io.Serializable;


/**
 * 数据库表FeedRack所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-06-29
 */
public class PerRackEntity  implements Serializable{
	 /** VersionUID */
    private static final long serialVersionUID = 1L;
    /**
     * 材料号
     */
    private String matNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 上料行号
     */
    private String feedRowNo;
    public String getFeedRowNo() {
		return feedRowNo;
	}

	public void setFeedRowNo(String feedRowNo) {
		this.feedRowNo = feedRowNo;
	}

	/**
     * 钢级代码
     */
    private String steelcode;
    /**
     * 钢级名称
     */
    private String steelname;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 状态（0-未生产 1-上料 2-锯切完成 3-切前剔除）
     */
    private String status;
    /**
     * 管坯名义直径
     */
    private String targetDiameter;
    /**
     * 管坯名义长度
     */
    private String targetLength;
    /**
     * 管坯名义重量
     */
    private String targetHeight;
    /**
     * 管坯测量直径
     */
    private String colDiameter;
    /**
     * 管坯测量长度
     */
    private String colLength;
    /**
     * 管坯测量重量
     */
    private String colHeight;
    /**
     * 倍尺
     */
    private String dbNum;
    /**
     * 定尺长度
     */
    private String fixedLength;
    /**
     * 上料时间
     */
    private String feedTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;

    public PerRackEntity(){
        matNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        plineCode = "";
        status = "";
        targetDiameter = "";
        targetLength = "";
        targetHeight = "";
        colDiameter = "";
        colLength = "";
        colHeight = "";
        dbNum = "";
        fixedLength = "";
        feedTime = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
    }
    
    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 状态（0-未生产 1-上料 2-锯切完成 3-切前剔除）
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态（0-未生产 1-上料 2-锯切完成 3-切前剔除）
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 管坯名义直径
     * @return value
     */
    public String getTargetDiameter() {
        return targetDiameter;
    }

    /**
     * 管坯名义直径
     * @param targetDiameter value
     */
    public void setTargetDiameter(String targetDiameter) {
        this.targetDiameter = targetDiameter;
    }

    /**
     * 管坯名义长度
     * @return value
     */
    public String getTargetLength() {
        return targetLength;
    }

    /**
     * 管坯名义长度
     * @param targetLength value
     */
    public void setTargetLength(String targetLength) {
        this.targetLength = targetLength;
    }

    /**
     * 管坯名义重量
     * @return value
     */
    public String getTargetHeight() {
        return targetHeight;
    }

    /**
     * 管坯名义重量
     * @param targetHeight value
     */
    public void setTargetHeight(String targetHeight) {
        this.targetHeight = targetHeight;
    }

    /**
     * 管坯测量直径
     * @return value
     */
    public String getColDiameter() {
        return colDiameter;
    }

    /**
     * 管坯测量直径
     * @param colDiameter value
     */
    public void setColDiameter(String colDiameter) {
        this.colDiameter = colDiameter;
    }

    /**
     * 管坯测量长度
     * @return value
     */
    public String getColLength() {
        return colLength;
    }

    /**
     * 管坯测量长度
     * @param colLength value
     */
    public void setColLength(String colLength) {
        this.colLength = colLength;
    }

    /**
     * 管坯测量重量
     * @return value
     */
    public String getColHeight() {
        return colHeight;
    }

    /**
     * 管坯测量重量
     * @param colHeight value
     */
    public void setColHeight(String colHeight) {
        this.colHeight = colHeight;
    }

    /**
     * 倍尺
     * @return value
     */
    public String getDbNum() {
        return dbNum;
    }

    /**
     * 倍尺
     * @param dbNum value
     */
    public void setDbNum(String dbNum) {
        this.dbNum = dbNum;
    }

    /**
     * 定尺长度
     * @return value
     */
    public String getFixedLength() {
        return fixedLength;
    }

    /**
     * 定尺长度
     * @param fixedLength value
     */
    public void setFixedLength(String fixedLength) {
        this.fixedLength = fixedLength;
    }

    /**
     * 上料时间
     * @return value
     */
    public String getFeedTime() {
        return feedTime;
    }

    /**
     * 上料时间
     * @param feedTime value
     */
    public void setFeedTime(String feedTime) {
        this.feedTime = feedTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }
}
